#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './BaseDlgFindPackages.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "BaseDlgFindPackages.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qtextedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a BaseDlgFindPackages as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
BaseDlgFindPackages::BaseDlgFindPackages( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "BaseDlgFindPackages" );
    setMinimumSize( QSize( 350, 300 ) );
    setSizeGripEnabled( TRUE );
    BaseDlgFindPackagesLayout = new QGridLayout( this, 1, 1, 11, 6, "BaseDlgFindPackagesLayout"); 

    m_pCheckInstall = new QCheckBox( this, "m_pCheckInstall" );

    BaseDlgFindPackagesLayout->addWidget( m_pCheckInstall, 3, 0 );

    Layout1 = new QHBoxLayout( 0, 0, 6, "Layout1"); 

    m_pButtonHelp = new QPushButton( this, "m_pButtonHelp" );
    m_pButtonHelp->setAutoDefault( TRUE );
    Layout1->addWidget( m_pButtonHelp );
    Horizontal_Spacing2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    m_pButtonOk = new QPushButton( this, "m_pButtonOk" );
    m_pButtonOk->setAutoDefault( TRUE );
    m_pButtonOk->setDefault( TRUE );
    Layout1->addWidget( m_pButtonOk );

    m_pButtonCancel = new QPushButton( this, "m_pButtonCancel" );
    m_pButtonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( m_pButtonCancel );

    BaseDlgFindPackagesLayout->addLayout( Layout1, 4, 0 );

    m_pCheckUpdates = new QCheckBox( this, "m_pCheckUpdates" );

    BaseDlgFindPackagesLayout->addWidget( m_pCheckUpdates, 2, 0 );

    buttonGroup3 = new QButtonGroup( this, "buttonGroup3" );
    buttonGroup3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, buttonGroup3->sizePolicy().hasHeightForWidth() ) );
    buttonGroup3->setMaximumSize( QSize( 32767, 90 ) );
    buttonGroup3->setColumnLayout(0, Qt::Vertical );
    buttonGroup3->layout()->setSpacing( 6 );
    buttonGroup3->layout()->setMargin( 11 );
    buttonGroup3Layout = new QGridLayout( buttonGroup3->layout() );
    buttonGroup3Layout->setAlignment( Qt::AlignTop );

    m_pRadioProvides = new QRadioButton( buttonGroup3, "m_pRadioProvides" );

    buttonGroup3Layout->addWidget( m_pRadioProvides, 1, 0 );

    m_pRadioSearch = new QRadioButton( buttonGroup3, "m_pRadioSearch" );

    buttonGroup3Layout->addWidget( m_pRadioSearch, 0, 0 );

    BaseDlgFindPackagesLayout->addWidget( buttonGroup3, 0, 0 );

    m_pEdPatterns = new QTextEdit( this, "m_pEdPatterns" );
    m_pEdPatterns->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, m_pEdPatterns->sizePolicy().hasHeightForWidth() ) );
    m_pEdPatterns->setMinimumSize( QSize( 0, 0 ) );

    BaseDlgFindPackagesLayout->addWidget( m_pEdPatterns, 1, 0 );
    languageChange();
    resize( QSize(451, 350).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( m_pButtonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( m_pButtonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );

    // tab order
    setTabOrder( m_pRadioSearch, m_pRadioProvides );
    setTabOrder( m_pRadioProvides, m_pEdPatterns );
    setTabOrder( m_pEdPatterns, m_pCheckUpdates );
    setTabOrder( m_pCheckUpdates, m_pCheckInstall );
    setTabOrder( m_pCheckInstall, m_pButtonHelp );
    setTabOrder( m_pButtonHelp, m_pButtonOk );
    setTabOrder( m_pButtonOk, m_pButtonCancel );
}

/*
 *  Destroys the object and frees any allocated resources
 */
BaseDlgFindPackages::~BaseDlgFindPackages()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void BaseDlgFindPackages::languageChange()
{
    setCaption( tr2i18n( "Find Packages" ) );
    m_pCheckInstall->setText( tr2i18n( "Find and &Install" ) );
    m_pCheckInstall->setAccel( QKeySequence( tr2i18n( "Alt+I" ) ) );
    m_pButtonHelp->setText( tr2i18n( "He&lp" ) );
    m_pButtonHelp->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    m_pButtonOk->setText( tr2i18n( "&OK" ) );
    m_pButtonOk->setAccel( QKeySequence( QString::null ) );
    m_pButtonCancel->setText( tr2i18n( "&Cancel" ) );
    m_pButtonCancel->setAccel( QKeySequence( QString::null ) );
    m_pCheckUpdates->setText( tr2i18n( "&Updates only" ) );
    m_pCheckUpdates->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    buttonGroup3->setTitle( tr2i18n( "Search Mode" ) );
    m_pRadioProvides->setText( tr2i18n( "Find packages that provide the &files below" ) );
    m_pRadioProvides->setAccel( QKeySequence( tr2i18n( "Alt+F" ) ) );
    m_pRadioSearch->setText( tr2i18n( "Find packages that match any of the &patterns below" ) );
    m_pRadioSearch->setAccel( QKeySequence( tr2i18n( "Alt+P" ) ) );
}

#include "BaseDlgFindPackages.moc"
